package com.iamberry.wechat.core.entity.integral;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 积分使用实体类
 */
public class UseIntegral implements Serializable {

    private static final long serialVersionUID = 8060941187906868547L;
    private Integer integralId;          //ID
    private String userOpenId;              //用户openid
    private Integer integralType;                //积分类型
    private Integer stayId;                //待入账积分ID
    private Integer integralNumber;      //使用积分数量
    private Integer configId;            //积分来源类型
    private Integer integralBeforeNumber;//变动前可用积分总额
    private Integer integralEndNumber;//变动后可用积分总额
    private String integralRemark;      //备注
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date integralCreateTime;     //创建时间

    private String integralConfigName;      //来源名称
    private PageBean page=new PageBean();   //分页

    public Integer getIntegralId() {
        return integralId;
    }

    public void setIntegralId(Integer integralId) {
        this.integralId = integralId;
    }

    public String getUserOpenId() {
        return userOpenId;
    }

    public void setUserOpenId(String userOpenId) {
        this.userOpenId = userOpenId;
    }

    public Integer getIntegralType() {
        return integralType;
    }

    public void setIntegralType(Integer integralType) {
        this.integralType = integralType;
    }

    public Integer getIntegralNumber() {
        return integralNumber;
    }

    public void setIntegralNumber(Integer integralNumber) {
        this.integralNumber = integralNumber;
    }

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public Integer getIntegralBeforeNumber() {
        return integralBeforeNumber;
    }

    public void setIntegralBeforeNumber(Integer integralBeforeNumber) {
        this.integralBeforeNumber = integralBeforeNumber;
    }

    public Integer getIntegralEndNumber() {
        return integralEndNumber;
    }

    public void setIntegralEndNumber(Integer integralEndNumber) {
        this.integralEndNumber = integralEndNumber;
    }

    public String getIntegralRemark() {
        return integralRemark;
    }

    public void setIntegralRemark(String integralRemark) {
        this.integralRemark = integralRemark;
    }

    public Date getIntegralCreateTime() {
        return integralCreateTime;
    }

    public void setIntegralCreateTime(Date integralCreateTime) {
        this.integralCreateTime = integralCreateTime;
    }

    public String getIntegralConfigName() {
        return integralConfigName;
    }

    public void setIntegralConfigName(String integralConfigName) {
        this.integralConfigName = integralConfigName;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public Integer getStayId() {
        return stayId;
    }

    public void setStayId(Integer stayId) {
        this.stayId = stayId;
    }
}
